classification
Title: fix link to email.message.Message in mailbox docs
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Gumnos, barry, chris.jerdonek, docs@python, kushal.das, python-dev, r.david.murray
Priority: normal Keywords: easy

Created on 2012-09-28 03:21 by chris.jerdonek, last changed 2012-09-29 02:13 by chris.jerdonek. This issue is now closed.

Messages (8)
msg171403 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-09-28 03:21
> Date: Thu, 13 Sep 2012 00:28:20 -0700
> To: docs@python.org
> Subject: [docs] Bug in documentation for mailbox module
>
> I think I may have found a minor bug in the documentation for the
> mailbox module, at:
>
> http://docs.python.org/library/mailbox.html
>
> Right at the beginning of section 18.4.2. ("Message objects"), when
> describing the mailbox.Message class, is the following:
>
> "A subclass of the email.Message module?s *Message*. Subclasses of
> mailbox.Message add mailbox-format-specific state and behavior."
>
> The word "Message" indicated above with asterisks is a hyperlink to:
>
> http://docs.python.org/library/mailbox.html#mailbox.Message
>
> I think it should instead link to:
>
> http://docs.python.org/library/email.message.html#email.message.Message

(from: http://mail.python.org/pipermail/docs/2012-September/010520.html )
msg171520 - (view) Author: Kushal Das (kushal.das) * (Python committer) Date: 2012-09-28 18:53
But the whole 18.4.2 is mount mailbox.Message so, it seems to be correct documentation. 
email.Message.Message is properly mentioned in the 4th line properly.
I don't think it is bug.
msg171523 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-09-28 18:57
> But the whole 18.4.2 is mount mailbox.Message

But the first reference is a reference to email.Message's Message, so that word should link to email.Message.Message.  Sphinx lets you to link to classes, etc. outside the current scope.  It's a simple one word or so fix.
msg171530 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-09-28 19:20
New changeset be94d100f846 by R David Murray in branch '3.2':
#16071: fix links to email.message.Message in mailbox docs.
http://hg.python.org/cpython/rev/be94d100f846

New changeset 2a14542371b7 by R David Murray in branch 'default':
Merge #16071: fix links to email.message.Message in mailbox docs.
http://hg.python.org/cpython/rev/2a14542371b7

New changeset 70af6b53b52a by R David Murray in branch '3.2':
#16071: fix more email.message links in mailbox docs.
http://hg.python.org/cpython/rev/70af6b53b52a

New changeset f3bd51cdd958 by R David Murray in branch 'default':
Merge #16071: fix more email.message links in mailbox docs.
http://hg.python.org/cpython/rev/f3bd51cdd958
msg171531 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-09-28 19:21
New changeset aad3cec524f9 by R David Murray in branch '2.7':
#16071: fix email.message links in the mailbox docs.
http://hg.python.org/cpython/rev/aad3cec524f9
msg171532 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2012-09-28 19:23
Two words and a tilde.  But there were also a number of other places where the links were broken.  Hopefully I caught them all.
msg171551 - (view) Author: Tim Chase (Gumnos) * Date: 2012-09-29 02:08
http://docs.python.org/library/mailbox.html#mailbox.Message still points to mailbox.Message instead of email.Message "A subclass of the email.Message module’s {bad link}Message{/bad link}"

Not sure if this is a matter of changes that haven't yet been deployed, or just one that slipped through the cracks.
msg171552 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-09-29 02:13
It can take up to 24 hours for the changes to show up on the web site.  They are regenerated at least once per day.
History
Date User Action Args
2012-09-29 02:13:19chris.jerdoneksetmessages: + msg171552
2012-09-29 02:08:45Gumnossetnosy: + Gumnos
messages: + msg171551
2012-09-28 19:26:54chris.jerdoneksetassignee: chris.jerdonek ->
2012-09-28 19:23:06r.david.murraysetstatus: open -> closed
resolution: fixed
messages: + msg171532

stage: needs patch -> resolved
2012-09-28 19:21:45python-devsetmessages: + msg171531
2012-09-28 19:20:35python-devsetnosy: + python-dev
messages: + msg171530
2012-09-28 19:12:48chris.jerdoneksetassignee: docs@python -> chris.jerdonek
versions: + Python 3.2, Python 3.3
2012-09-28 18:57:47chris.jerdoneksetmessages: + msg171523
2012-09-28 18:53:24kushal.dassetnosy: + kushal.das
messages: + msg171520
2012-09-28 03:21:27chris.jerdonekcreate